API Reference for Marketo Engage

Send Sample Email

POST /rest/asset/v1/email/{id}/sendSample.json

Sends a sample email to the given email address. Leads may be impersonated to populate data for tokens and dynamic content.

Operation ID
sendSampleEmailUsingPOST
Permissions
Read-Write Assets
Request format
application/x-www-form-urlencoded
Returns
ResponseOfSendSampleResponse

Parameters

Path 1

id integer (int32) required

Id of the email

Request body

application/x-www-form-urlencoded · required · SendSampleEmailRequest · 3 properties

Sent as URL-encoded form fields. Object properties are sent as JSON text in their field.

emailAddress string required

Email address to receive sample email

leadId string

Id of a lead to impersonate. Tokens and dynamic content will be populated as though it were sent to the lead.

textOnly boolean

Whether to send to text only version along with the HTML version. Default false.

Responses

200 OK ResponseOfSendSampleResponse
errors array of Error

Model Error

code string required

Error code of the error. See full list of error codes here

message string required

Message describing the cause of the error

requestId string
result array of SendSampleResponse

Model SendSampleResponse

service string required

API call name

Values sendTestEmail

result boolean required

Whether call was successful

success boolean
warnings array of string
Generated example
{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "service": "sendTestEmail",
      "result": true
    }
  ],
  "success": true,
  "warnings": [
    "string"
  ]
}

Referenced models

Generated from swagger-asset.json. Generated examples are inferred from the schema; they are illustrative and may not be valid production payloads.

↑ ↓ to move, ↵ to open, esc to closeSee all results